org.keycloak.models

## Interface RoleMapperModel.Streams

- All Superinterfaces:
    RoleMapperModel
  All Known Subinterfaces:
    CachedUserModel.Streams, GroupModel.Streams, UserModel.Streams
  All Known Implementing Classes:
    AbstractGroupModel, AbstractUserAdapter.Streams, AbstractUserAdapterFederatedStorage.Streams, AbstractUserModel, GroupAdapter, GroupAdapter, GroupLDAPStorageMapper.LDAPGroupMappingsUserDelegate, InMemoryUserAdapter, LDAPWritesOnlyUserModelDelegate, MapGroupAdapter, MapUserAdapter, MSADLDSUserAccountControlStorageMapper.MSADUserModelDelegate, MSADUserAccountControlStorageMapper.MSADUserModelDelegate, ReadOnlyKerberosUserModelDelegate, ReadonlyLDAPUserModelDelegate, ReadonlySSSDUserModelDelegate, ReadOnlyUserModelDelegate, RoleLDAPStorageMapper.LDAPRoleMappingsUserDelegate, TxAwareLDAPUserModelDelegate, UpdateOnlyChangeUserModelDelegate, UserAdapter, UserAdapter, UserModelDefaultMethods.Streams, UserModelDelegate
  Enclosing interface:
    RoleMapperModel

      public static interface RoleMapperModel.Streams
      extends RoleMapperModel

  The `RoleMapperModel.Streams` interface makes all collection-based methods in `RoleMapperModel` default by providing implementations that delegate to the `Stream`-based variants instead of the other way around.

  It allows for implementations to focus on the `Stream`-based approach for processing sets of data and benefit from the potential memory and performance optimizations of that approach.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.keycloak.models.RoleMapperModel

      `RoleMapperModel.Streams`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `default Set<RoleModel>` | `getClientRoleMappings(ClientModel app)` Returns set of client roles that are directly set to this object for the given client.
    `Stream<RoleModel>` | `getClientRoleMappingsStream(ClientModel app)` Returns stream of client roles that are directly set to this object for the given client.
    `default Set<RoleModel>` | `getRealmRoleMappings()` Returns set of realm roles that are directly set to this object.
    `Stream<RoleModel>` | `getRealmRoleMappingsStream()` Returns stream of realm roles that are directly set to this object.
    `default Set<RoleModel>` | `getRoleMappings()` Returns set of all role (both realm all client) that are directly set to this object.
    `Stream<RoleModel>` | `getRoleMappingsStream()` Returns stream of all role (both realm all client) that are directly set to this object.

    - ### Methods inherited from interface org.keycloak.models.RoleMapperModel

      `deleteRoleMapping, grantRole, hasRole`

- - ### Method Detail

    - #### getRealmRoleMappings

          default Set<RoleModel> getRealmRoleMappings()

      Description copied from interface: `RoleMapperModel`
      Returns set of realm roles that are directly set to this object.
      Specified by:
        `getRealmRoleMappings` in interface `RoleMapperModel`
      Returns:
        see description

    - #### getRealmRoleMappingsStream

          Stream<RoleModel> getRealmRoleMappingsStream()

      Description copied from interface: `RoleMapperModel`
      Returns stream of realm roles that are directly set to this object.
      Specified by:
        `getRealmRoleMappingsStream` in interface `RoleMapperModel`
      Returns:
        Stream of `RoleModel`. Never returns `null`.

    - #### getClientRoleMappings

          default Set<RoleModel> getClientRoleMappings(ClientModel app)

      Description copied from interface: `RoleMapperModel`
      Returns set of client roles that are directly set to this object for the given client.
      Specified by:
        `getClientRoleMappings` in interface `RoleMapperModel`
      Parameters:
        `app` - Client to get the roles for
      Returns:
        see description

    - #### getClientRoleMappingsStream

          Stream<RoleModel> getClientRoleMappingsStream(ClientModel app)

      Description copied from interface: `RoleMapperModel`
      Returns stream of client roles that are directly set to this object for the given client.
      Specified by:
        `getClientRoleMappingsStream` in interface `RoleMapperModel`
      Parameters:
        `app` - `ClientModel` Client to get the roles for.
      Returns:
        Stream of `RoleModel`. Never returns `null`.

    - #### getRoleMappings

          default Set<RoleModel> getRoleMappings()

      Description copied from interface: `RoleMapperModel`
      Returns set of all role (both realm all client) that are directly set to this object.
      Specified by:
        `getRoleMappings` in interface `RoleMapperModel`
      Returns:

    - #### getRoleMappingsStream

          Stream<RoleModel> getRoleMappingsStream()

      Description copied from interface: `RoleMapperModel`
      Returns stream of all role (both realm all client) that are directly set to this object.
      Specified by:
        `getRoleMappingsStream` in interface `RoleMapperModel`
      Returns:
        Stream of `RoleModel`. Never returns `null`.

Copyright © 2021 JBoss by Red Hat. All rights reserved.